import { 
        scaleOrdinal
       } from 'd3';

const colorScale = scaleOrdinal()
    .domain(['apple','lemon'])
    .range(['#c1111d', 'yellow']);
           
const radiusScale = scaleOrdinal()
    .domain(['apple','lemon'])
    .range([40, 20]); 


export const fruitBowl  = 
      ( selection, props) => {
  const {fruits, height} = props;      
  const circles = selection.selectAll('circle').data(fruits);
  
  circles
   .enter()
   .append('circle')
   .attr('cx', (d,i) => i * 100 + 50)
   .attr('cy', height/2)
   .attr('r', 0)
   .merge(circles)
   .transition().duration(1000)    
   .attr('fill', d => colorScale(d.type))
   .attr('r', d => radiusScale(d.type));
    
//  circles
//   .attr('fill', d => colorScale(d.type))
//   .attr('r', d => radiusScale(d.type));

  circles
  .exit()
  //.attr('fill', 'black');
   .transition().duration(1000)    
   .attr('r', 0)
   .remove();
  
}